<div class="wpa-infobox wpa-notice">
    <p><?php esc_html_e('Some advanced and experimental options for users, who want to configure a little bit more.', 'wp-appbox'); ?> ;-)</p>
</div>

<h3><?php esc_html_e('Stylesheets and Scripts', 'wp-appbox'); ?></h3>

<table class="form-table">
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_disableDefer"><?php esc_html_e('Disable lean loading', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_disableDefer">
				<input type="checkbox" name="wpAppbox_disableDefer" id="wpAppbox_disableDefer" value="1" <?php checked( get_option('wpAppbox_disableDefer') ); ?>/>
				<?php esc_html_e('Loads stylesheet and font in the normal way (within the header)', 'wp-appbox'); ?> ;-)
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_disableCSS"><?php esc_html_e('Disable the plugins sheet', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_disableCSS">
				<input type="checkbox" name="wpAppbox_disableCSS" id="wpAppbox_disableCSS" value="1" <?php checked( get_option('wpAppbox_disableCSS') ); ?>/>
				<?php esc_html_e('Disables the plugins stylesheets.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_disableFonts"><?php esc_html_e('Disable Google Fonts', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_disableFonts">
				<input type="checkbox" name="wpAppbox_disableFonts" id="wpAppbox_disableFonts" value="1" <?php checked( get_option('wpAppbox_disableFonts') ); ?>/>
				<?php esc_html_e('Avoid loading of Google Fonts (OpenSans) through WP-Appbox.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
</table>

<hr />

<h3><?php esc_html_e('Error output & troubleshooting', 'wp-appbox'); ?></h3>

<table class="form-table">

	<tr valign="top">
		<th scope="row"><label for="wpAppbox_curlTimeout"><?php esc_html_e('Server timeout', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_curlTimeout">
				<input type="number" pattern="[0-9]*" name="wpAppbox_curlTimeout" id="wpAppbox_curlTimeout" value="<?php echo( get_option('wpAppbox_curlTimeout') ); ?>" />
				<?php printf( esc_html__( 'The recommended timeout is %1$1s seconds. Only change if apps are not found.', 'wp-appbox' ), '<strong>5</strong>' ); ?>
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_eOnlyAuthors"><?php esc_html_e('Error messages', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_eOnlyAuthors">
				<input type="checkbox" name="wpAppbox_eOnlyAuthors" id="wpAppbox_eOnlyAuthors" value="1" <?php checked( get_option('wpAppbox_eOnlyAuthors') ); ?>/>
				<?php esc_html_e('Show "App not found"-badges only for authors.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_eOutput"><?php esc_html_e('Parse output', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_eOutput">
				<input type="checkbox" name="wpAppbox_eOutput" id="wpAppbox_eOutput" value="1" <?php checked( get_option('wpAppbox_eOutput') ); ?>/>
				<?php esc_html_e('Activate parse output. Only visible to administrators.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><?php esc_html_e('Disable cache', 'wp-appbox'); ?>:</th>
		<td>	
			<?php esc_html_e('The cache can only be temporarily disabled by adding "?wpappbox_nocache" is appended to the URL of an article. Only for "authors".', 'wp-appbox'); ?>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><?php esc_html_e('Force reloading', 'wp-appbox'); ?>:</th>
		<td>	
			<?php esc_html_e('If reloading of app-data (despite cache) is to be forced, then does this by "?wpappbox_reload_cache" is appended to the URL of an article. Only users, who are at least author.', 'wp-appbox'); ?>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_eImageApple"><?php esc_html_e('Apple App Store Icons', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_eImageApple">
				<input type="checkbox" name="wpAppbox_eImageApple" id="wpAppbox_eImageApple" value="1" <?php checked( get_option('wpAppbox_eImageApple') ); ?>/>
				<?php esc_html_e('Compatibility mode for app icons from the (Mac) App Store.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
</table>

<hr />

<h3><?php esc_html_e('Experimental', 'wp-appbox'); ?></h3>

<table class="form-table">

	<tr valign="top">
		<th scope="row"><label for="wpAppbox_sslAppleImages"><?php esc_html_e('SSL for Apple App Store', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_sslAppleImages">
				<input type="checkbox" name="wpAppbox_sslAppleImages" id="wpAppbox_sslAppleImages" value="1" <?php checked( get_option('wpAppbox_sslAppleImages') ); ?>/>
				<input type="checkbox" name="wpAppbox_sslAppleImagesVerify" id="wpAppbox_sslAppleImagesVerify" value="1" <?php checked( get_option('wpAppbox_sslAppleImages') ); ?>/>
				<?php esc_html_e('Use SSL urls for images from the Apple App Store. Highly experimental, some images may not exist on https server.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
	
	<tr valign="top">
		<th scope="row"><label for="wpAppbox_autoLinks"><?php esc_html_e('Auto-detect app links', 'wp-appbox'); ?>:</label></th>
		<td>	
			<label for="wpAppbox_autoLinks">
				<input type="checkbox" name="wpAppbox_autoLinks" id="wpAppbox_autoLinks" value="1" <?php checked( get_option('wpAppbox_autoLinks') ); ?>/>
				<input type="checkbox" name="wpAppbox_autoLinksVerify" id="wpAppbox_autoLinksVerify" value="1" <?php checked( get_option('wpAppbox_autoLinks') ); ?>/>
				<?php esc_html_e('Detect urls of apps in a separated line within the post.', 'wp-appbox'); ?> <?php esc_html_e('Very experimental, but it should work.', 'wp-appbox'); ?>
			</label>
		</td>
	</tr>
		
</table>